﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp {
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window {
    public MainWindow() {
      InitializeComponent();
      Loaded += new RoutedEventHandler(MainWindow_Loaded);
    }

    void MainWindow_Loaded(object sender, RoutedEventArgs e) {
      DataContext = new DataContextClass();
    }
  }

  public class DataContextClass {
    public List<NameValueClass> NameValueList { get; set; }

    public DataContextClass() {
      NameValueList = new List<NameValueClass> {
        new NameValueClass { Name = "A", Value = 10M},
        new NameValueClass { Name = "B", Value = 20M},
        new NameValueClass { Name = "C", Value = 30M},
        new NameValueClass { Name = "D", Value = 40M},
        new NameValueClass { Name = "E", Value = 50M}
      };
    }
  }

  public class NameValueClass {

    public string Name { get; set; }
    public decimal Value { get; set; }

    public override string ToString() {
      return String.Format("Name: {0}, Value: {1}", this.Name, this.Value);
    }
  }
}
